Bug 51802 - window size change handling bug
Summary: window size change handling bug
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-15 12:50 UTC by Tim Waugh
Modified: 2007-04-18 16:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 13:23:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2001-08-15 12:50:15 UTC
Description of Problem:
When enlarging a terminal running pine, some parts of the screen go blank 
that shouldn't.

Version-Release number of selected component (if applicable):
pine-4.33-13                                                             

How Reproducible:
100%

Steps to Reproduce:
1. Open an 80x24 terminal.
2. Start pine in it.
3. Have someone send you a lengthy message (100 lines or so). ;-)
4. View the message, and scroll down about half way.
5. Highten the terminal to about 70-80 lines.

Actual Results:
The top half or so of the on-screen part of the message becomes blank.

Expected Results:
It shouldn't, of course. ;-)

Additional Information:
(This bug was reported to me, and I have seen it demonstrated.  Just 
passing it on..)

Comment 1 Mike A. Harris 2001-08-15 13:05:00 UTC
Define 'terminal'.  Any terminal, gnome-term, konsole, xterm, etc..
I don't see this in PINE, however I do see this behaviour in konsole
for any apps that display a lot of text, including just doing
a "dir" on devserv.  Nothing has changed in PINE, so I'm betting
that it is a bug in whatever term software you're using.

I'm betting it is konsole.  Am I close?  ;o)

Comment 2 Tim Waugh 2001-08-15 13:07:29 UTC
Spot on.  Reassining.


Comment 3 Mike A. Harris 2001-08-15 13:10:04 UTC
THis occurs when doing any sort of output that causes scrolling to occur,
a good way to reproduce, is to run mozilla with strace:

strace -f mozilla

<grin>

Comment 4 Ngo Than 2004-09-20 13:23:58 UTC
pine is not included in RHEL3 or FC anymore. I close it as "WONTFIX"

Comment 5 Mike A. Harris 2004-09-20 20:51:11 UTC
I think it was pretty clear from the above, that this problem is
NOT restricted to pine.  Re-read the entire bug report to see that
it occurs with other software, including stuff that _IS_ included
with RHEL3.


Note You need to log in before you can comment on or make changes to this bug.